Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.multimedia
Class Ton

    java.lang.Object
      sum.multimedia.Ton

All Implemented Interfaces:
  Serializable

    public class Ton

extends Object
implements Serializable

Ein Ton realisiert ein Objekt, das Toene aufnehmen, abspielen, laden und speichern kann.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Constructor Summary
`Ton()` Der Ton wird initialisiert.

Method Summary
`void` | `gibFrei()` Der Ton wird freigegeben.
`boolean` | `ladeTon()` Der Ton wird von einer zu waehlenden Datei geladen.
`boolean` | `ladeTon(String pDatei)` Der Ton wird von der Datei pDatei geladen.
`boolean` | `speichereTon()` Der Ton wird mit einem zu waehlenden Namen gespeichert.
`boolean` | `speichereTon(String pDatei)` Der Ton wird als WAF-Datei pDatei gespeichert.
`void` | `spieleTon()` Der Ton wird abgespielt.
`void` | `starteAufnahme()` Die Aufnahme des Tons wird gestartet.
`void` | `stoppeAbspielen()` Das Abspielen des Tons wird gestoppt.
`void` | `stoppeAufnahme()` Die Aufnahme des Tons wird gestoppt.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ton

    public Ton()

  Der Ton wird initialisiert.

Method Detail

### gibFrei

    public void gibFrei()

  Der Ton wird freigegeben.

### ladeTon

    public boolean ladeTon()

  Der Ton wird von einer zu waehlenden Datei geladen. Bei Erfolg wird true zurueckgegeben.

### ladeTon

    public boolean ladeTon(String pDatei)

  Der Ton wird von der Datei pDatei geladen. Bei Erfolg wird true zurueckgegeben.

### speichereTon

    public boolean speichereTon()

  Der Ton wird mit einem zu waehlenden Namen gespeichert. Bei Erfolg wird true zurueckgegeben.

### speichereTon

    public boolean speichereTon(String pDatei)

  Der Ton wird als WAF-Datei pDatei gespeichert. Bei Erfolg wird true zurueckgegeben.

### spieleTon

    public void spieleTon()

  Der Ton wird abgespielt.

### starteAufnahme

    public void starteAufnahme()

  Die Aufnahme des Tons wird gestartet.

### stoppeAbspielen

    public void stoppeAbspielen()

  Das Abspielen des Tons wird gestoppt.

### stoppeAufnahme

    public void stoppeAufnahme()

  Die Aufnahme des Tons wird gestoppt.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD